Skip to main content
GET
/
notes
List notes
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/notes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/notes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "notes": [
    {
      "author": "Jane Smith jane@example.com",
      "content": "Customer was frozen to investigate fraud.",
      "creation_time": "2010-05-06T12:23:34.321Z",
      "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "last_updated_time": "2010-05-06T12:23:34.321Z",
      "related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "related_resource_type": "CUSTOMER",
      "tenant": "abcdef_ghijkl",
      "metadata": {},
      "related_resource_field": "/legal_address/city",
      "status": "RESOLVED",
      "type": "NOTE"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

author_user_id
string<uuid>

Only return notes where the author user ID matches the specified string.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6"

Only return notes that have a related resource with the specified ID.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

id
string<uuid>[]

Return the note with the specified id. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

Only return notes that have a related resource with the specified type. Type of the resource associated with the note.

Available options:
ACCOUNT,
APPLICATION,
BILLING,
BUSINESS,
CUSTOMER,
FILE,
SHADOW_TRANSACTION,
SNAPSHOT,
TENANT,
TRANSACTION,
USER
Example:

"CUSTOMER"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

tenant
string

Only return resources owned by the specified tenant

Example:

"abcdef_ghijkl"

Response

List of notes

notes
Note response object · object[]
required

Array of notes

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"